<div class="container d-flex justify-content-center">

  <form class="mt-2" [formGroup]="registerForm" (ngSubmit)="saveUser()" *ngIf="!saved">
    <div class="row">
      <div class="form-group col col-md-6">
        <label for="name">Nombre</label>
        <input formControlName="firstName" type="text" id="name" class="form-control">
        <div class=" " role="alert" *ngIf="registerForm.get('firstName').invalid
        && registerForm.get('firstName').dirty ">
          <div class=" mb-0" *ngIf="registerForm.get('firstName').errors.required">
            <p class="validations">Este campo es requerido</p>
          </div>
          <div  class="mb-0" *ngIf="registerForm.get('firstName').errors.minlength" >
            <p class="validations">Este campo debe contener mínimo 3 caracteres</p>
          </div>
          <div  class="mb-0" *ngIf="registerForm.get('firstName').errors.maxlength">
            <p class="validations">Este campo debe contener como máximo 25 caracteres</p>
          </div>
        </div>
      </div>
      <div class="form-group col col-md-6">
        <label for="lastName">Apellidos</label>
        <input formControlName="lastName" type="text" id="lastName" class="form-control">
        <div class=" " role="alert" *ngIf="registerForm.get('lastName').invalid
        && registerForm.get('lastName').dirty ">
          <div class="mb-0 " *ngIf="registerForm.get('lastName').errors.required">
            <p class="validations">Este campo es requerido</p>
          </div>
          <div  class=" mb-0" *ngIf="registerForm.get('lastName').errors.minlength" >
            <p class="validations">Este campo debe contener
              mínimo 3 caracteres</p>
          </div>
          <div  class="mb-0" *ngIf="registerForm.get('lastName').errors.maxlength">
            <p class="validations">Este campo debe contener
              como máximo 50 caracteres</p>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="form-group col ">
        <label for="user">Usuario</label>
        <input formControlName="login" type="text" id="user"  class="form-control">
        <div *ngIf="registerForm.get('login').invalid && registerForm.get('login').dirty">
          <div class=" mb-0 " *ngIf="registerForm.get('login').errors.required">
            <p class="validations">Este campo es requerido</p>
          </div>
          <div  class=" mb-0" *ngIf="registerForm.get('login').errors.minlength" >
            <p class="validations">Este campo debe contener
              mínimo 2 caracteres</p>
          </div>
          <div  class=" mb-0" *ngIf="registerForm.get('login').errors.maxlength">
            <p class="validations">Este campo debe contener
              como máximo 10 caracteres</p>
          </div>
        </div>
      </div>

    </div>
    <div class="row">
      <div class="form-group col ">
        <label for="email">Email sena</label>
        <input formControlName="email" type="text" id="email"  class="form-control">
        <div *ngIf="registerForm.get('email').invalid && registerForm.get('email').dirty">
          <div *ngIf="registerForm.get('email').errors.required">
            <p>Este campo es requerido</p>
          </div>
          <div *ngIf="registerForm.get('email').errors.email">
            <p>Ingresa un email valido</p>
          </div>
        </div>
      </div>
      <div class="form-group col ">
        <label for="password">Contraseña</label>
        <input type="password" formControlName="passwordHash" id="password"  class="form-control">
        <div *ngIf="registerForm.get('passwordHash').invalid && registerForm.get('passwordHash').dirty">
          <div *ngIf="registerForm.get('passwordHash').errors.required">
            <p>Este campo es requerido</p>
          </div>
          <div *ngIf="registerForm.get('passwordHash').errors.minlength">
            <p>Minimo 8 caracteres</p>
          </div>
          <div *ngIf="registerForm.get('passwordHash').errors.maxlength">
            <p>Maximo 12 caracteres</p>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="form-group col col-md-12">
        <label for="image">Direccion imagen</label>
        <input type="text" id="image"  formControlName="imageUrl" class="form-control">
        <div *ngIf="registerForm.get('imageUrl').invalid && registerForm.get('imageUrl').dirty">
          <div *ngIf="registerForm.get('imageUrl').errors.required">
            <p>Este campo es requerido</p>
          </div>
        </div>
      </div>
      <!--
      <div class="form-group col col-md-4">
        <label for="Select1">Example select</label>
        <select class="form-control" id="Select1">
          <option *ngFor="let rol of rols">
            {{rol.description}}
          </option>
        </select>
      </div>-->
    </div>
    <div class="d-flex justify-content-between">
      <div class="form-check">

        <input type="checkbox" class="form-check-input" id="exampleCheck1">
        <label class="form-check-label" for="exampleCheck1">
          Acepto los terminos y condiciones
        </label>
      </div>
      <button type="submit" class="btn btn-primary " [disabled]="registerForm.invalid">Continuar</button>
    </div>


  </form>
  <div class="row" *ngIf="saved">
    <app-details-user [user]="user"></app-details-user>
  </div>

</div>
